Debian Bug report logs - #510123
installation-reports: default font size is too big on ASUS Eee PC 904HD

Package: xserver-xorg-core; Maintainer for xserver-xorg-core is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-core is src:xorg-server.

Reported by: Luca Capello <luca@pca.it>

Date: Mon, 29 Dec 2008 14:30:02 UTC

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Luca Capello <luca@pca.it>, debian-eeepc-devel@lists.alioth.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#510123; Package installation-reports. (Mon, 29 Dec 2008 14:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
New Bug report received and forwarded. Copy sent to Luca Capello <luca@pca.it>, debian-eeepc-devel@lists.alioth.debian.org, Debian Install Team <debian-boot@lists.debian.org>. (Mon, 29 Dec 2008 14:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: installation-reports: default font size is too big on ASUS Eee PC 904HD
Date: Mon, 29 Dec 2008 15:25:23 +0100
[Message part 1 (text/plain, inline)]
Package: installation-reports
Severity: normal

Hello!

X-Debbugs-Cc:ing the debian-eeepc-devel mailing list for obvious
reasons.  Please Cc: me in replies, I am not subscribed to the list.

The installation went really smooth (kudos to the Debian Eee PC Team),
the major problem being that the default font size is too big.  I am not
an X11 expert, but this seems a DPI problem.

BTW, I installed two different machines (same model, one in Italian and
the other in English) and the font problem was present in both.

I do not own this machine, but I have a certain degree of liberty to
play with.  The full installation logs are available upon request.

Thx, bye,
Gismo / Luca

-- Package-specific info:

Boot method: CD
Image version: multiarch amd64/i386/powerpc (daily built 20081218-10:11)
Date: 20081225 20:00 +0100

Machine: ASUS Eee PC 904HD
Partitions:
 debian:~# /sbin/fdisk -l /dev/sda

 Disk /dev/sda: 160.0 GB, 160041885696 bytes
 255 heads, 63 sectors/track, 19457 cylinders
 Units = cylinders of 16065 * 512 = 8225280 bytes


    Device Boot       Start         End      Blocks   Id  System
 /dev/sda1   *            1       19127   153637596   83  Linux
 /dev/sda2           19128       19457     2650725    5  Extended
 /dev/sda5           19128       19457     2650693+  82  Linux swap / Solaris
 debian:~#

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O]
Detect network card:    [O]
Configure network:      [O]
Detect CD:              [O]
Load installer modules: [O]
Detect hard drives:     [O]
Partition hard drives:  [O]
Install base system:    [O]
Clock/timezone setup:   [O]
User/password setup:    [O]
Install tasks:          [O]
Install boot loader:    [O]
Overall install:        [O]

Comments/Problems:

1) default font size problem

   The font size is too big: I wanted to include a screenshot (44kb) ,
   but it seems the first report I sent two days ago was not accepted by
   the BTS, thus I am trying without screenshot ;-)

   Since we (the Debian FreeSmartphone.Org Team) experienced a similar
   problem on the Openmoko Neo FreeRunner (bug #500626 [2]), I firstly
   thought about a DPI problem: indeed, on the 904HD xdpyinfo shows that
   we have 133x135 DPI, while on the 1000H [3] we have 96x96.

   There are two quick workarounds (both successfully tested):

   a. startx/xinit users should append "-dpi 96" to the X call in
      /etc/X11/xinit/xserverrc

   b. GDM users, instead, should redefine in /etc/gdm/gdm.conf the
      standard server GDM launches, adding something like

        [server-Standard]
        name=Standard server
        command=/usr/X11R6/bin/X -audit 0 -dpi 96
        flexible=true
        #priority=0


2) wireless

   I performed the installation through the wireless network: there were
   no problem for the 904HD to connect to my WPA/WPA2 AP (Fonera 2100A).
   However, at the first reboot the wireless card did not show up on
   NetworkManager.

   This was caused by the fact that d-i had put the following on
   /etc/network/interfaces:

     allow-hotplug ath0
     iface ath0 inet dhcp
           wpa-ssid $MYSSID
           wpa-psk $MYPASSPHRASE

   If I remove the lines above, NetworkManager takes care of everything
   and then I can connect to my Fonera (but it seems only to the public
   and passphrase-less signal).

   It seems that this is a normal situation and Eee PC users are advised
   to modify /etc/network/interfaces [4]: I consider this a bug in
   either d-i (why it does not ask me if I want to keep these settings?)
   or in NetworkManager.  Since I know this is a "hot" subject, feel
   free to just ignore it :-)


Footnotes: 
[1] Message-ID: <87iqp6qpac.fsf@gismo.pca.it>
    Date: Sat, 27 Dec 2008 04:18:19 +0100
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=500626
[3] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=509765
[4] http://wiki.debian.org/DebianEeePC/HowTo/Wifi

-- 

Please make sure that the hardware-summary log file, and any other
installation logs that you think would be useful are attached to this
report. Please compress large files using gzip.

Once you have filled out this report, mail it to submit@bugs.debian.org.

==============================================
Installer lsb-release:
==============================================
DISTRIB_ID=Debian
DISTRIB_DESCRIPTION="Debian GNU/Linux installer"
DISTRIB_RELEASE="5.0 (lenny) - installer build 20081207-03:29"
X_INSTALLATION_MEDIUM=monolithic

==============================================
Installer hardware-summary:
==============================================
umame -a: Linux debian 2.6.26-1-486 #1 Sat Nov 8 18:14:37 UTC 2008 i686 unknown
lspci -knn: 00:00.0 Host bridge [0600]: Intel Corporation Mobile 915GM/PM/GMS/910GML Express Processor to DRAM Controller [8086:2590] (rev 04)
lspci -knn: 00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller [8086:2592] (rev 04)
lspci -knn: 00:02.1 Display controller [0380]: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller [8086:2792] (rev 04)
lspci -knn: 00:1b.0 Audio device [0403]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) High Definition Audio Controller [8086:2668] (rev 04)
lspci -knn: 00:1c.0 PCI bridge [0604]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 1 [8086:2660] (rev 04)
lspci -knn: 	Kernel driver in use: pcieport-driver
lspci -knn: 00:1c.1 PCI bridge [0604]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 2 [8086:2662] (rev 04)
lspci -knn: 	Kernel driver in use: pcieport-driver
lspci -knn: 00:1c.3 PCI bridge [0604]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 4 [8086:2666] (rev 04)
lspci -knn: 	Kernel driver in use: pcieport-driver
lspci -knn: 00:1d.0 USB Controller [0c03]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #1 [8086:2658] (rev 04)
lspci -knn: 	Kernel driver in use: uhci_hcd
lspci -knn: 	Kernel modules: uhci-hcd
lspci -knn: 00:1d.1 USB Controller [0c03]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #2 [8086:2659] (rev 04)
lspci -knn: 	Kernel driver in use: uhci_hcd
lspci -knn: 	Kernel modules: uhci-hcd
lspci -knn: 00:1d.2 USB Controller [0c03]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #3 [8086:265a] (rev 04)
lspci -knn: 	Kernel driver in use: uhci_hcd
lspci -knn: 	Kernel modules: uhci-hcd
lspci -knn: 00:1d.3 USB Controller [0c03]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #4 [8086:265b] (rev 04)
lspci -knn: 	Kernel driver in use: uhci_hcd
lspci -knn: 	Kernel modules: uhci-hcd
lspci -knn: 00:1d.7 USB Controller [0c03]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller [8086:265c] (rev 04)
lspci -knn: 	Kernel driver in use: ehci_hcd
lspci -knn: 	Kernel modules: ehci-hcd
lspci -knn: 00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev d4)
lspci -knn: 00:1f.0 ISA bridge [0601]: Intel Corporation 82801FBM (ICH6M) LPC Interface Bridge [8086:2641] (rev 04)
lspci -knn: 00:1f.2 IDE interface [0101]: Intel Corporation 82801FBM (ICH6M) SATA Controller [8086:2653] (rev 04)
lspci -knn: 	Kernel driver in use: ata_piix
lspci -knn: 	Kernel modules: ata_piix, ahci
lspci -knn: 00:1f.3 SMBus [0c05]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus Controller [8086:266a] (rev 04)
lspci -knn: 01:00.0 Ethernet controller [0200]: Atheros Communications Inc. AR242x 802.11abg Wireless PCI Express Adapter [168c:001c] (rev 01)
lspci -knn: 	Kernel driver in use: ath_pci
lspci -knn: 	Kernel modules: ath_pci, ath5k
lspci -knn: 03:00.0 Ethernet controller [0200]: Attansic Technology Corp. L1 Gigabit Ethernet Adapter [1969:1026] (rev b0)
lspci -knn: 	Kernel driver in use: ATL1E
lspci -knn: 	Kernel modules: atl1e
lsmod: Module                  Size  Used by
lsmod: nls_cp437               5504  0 
lsmod: nls_utf8                1664  2 
lsmod: ufs                    63364  0 
lsmod: qnx4                    7556  0 
lsmod: ntfs                  179904  0 
lsmod: ipv6                  224148  8 
lsmod: md_mod                 65812  0 
lsmod: xfs                   444660  0 
lsmod: reiserfs              186240  0 
lsmod: jfs                   147420  0 
lsmod: ext3                  103048  1 
lsmod: jbd                    34836  1 ext3
lsmod: vfat                    8832  0 
lsmod: fat                    39964  1 vfat
lsmod: nls_base                6528  6 nls_cp437,nls_utf8,ntfs,jfs,vfat,fat
lsmod: ext2                   52104  0 
lsmod: mbcache                 6656  2 ext3,ext2
lsmod: wlan_tkip              10368  2 
lsmod: wlan_ccmp               6400  1 
lsmod: rsrc_nonstatic          9344  0 
lsmod: pcmcia_core            31760  1 rsrc_nonstatic
lsmod: ide_generic             2432  0 [permanent]
lsmod: ide_core               94760  1 ide_generic
lsmod: vga16fb                11276  2 
lsmod: vgastate                7552  1 vga16fb
lsmod: fan                     4100  0 
lsmod: usb_storage            75200  0 
lsmod: sd_mod                 21904  3 
lsmod: ahci                   23048  0 
lsmod: ath5k                  86784  0 
lsmod: mac80211              137116  1 ath5k
lsmod: cfg80211               21128  2 ath5k,mac80211
lsmod: wlan_scan_sta          11392  1 
lsmod: ata_piix               14084  2 
lsmod: libata                140832  2 ahci,ata_piix
lsmod: psmouse                31888  0 
lsmod: scsi_mod              129420  3 usb_storage,sd_mod,libata
lsmod: dock                    8076  1 libata
lsmod: ehci_hcd               28300  0 
lsmod: uhci_hcd               18320  0 
lsmod: ath_rate_sample        11008  1 
lsmod: ath_pci               189752  0 
lsmod: usbcore               117104  4 usb_storage,ehci_hcd,uhci_hcd
lsmod: wlan                  191984  6 wlan_tkip,wlan_ccmp,wlan_scan_sta,ath_rate_sample,ath_pci
lsmod: ath_hal               301152  3 ath_rate_sample,ath_pci
lsmod: atl1e                  27028  0 
lsmod: thermal                15004  0 
lsmod: processor              27824  2 thermal
lsmod: thermal_sys            10656  3 fan,thermal,processor
lsmod: evdev                   7680  0 
df: Filesystem           1k-blocks      Used Available Use% Mounted on
df: tmpfs                   453144        44    453100   0% /dev
df: /dev/sda1            151225248   3294220 140249152   2% /target
df: /dev/sda1            151225248   3294220 140249152   2% /dev/.static/dev
df: tmpfs                   453144        44    453100   0% /target/dev
free:               total         used         free       shared      buffers
free:   Mem:       906292       817800        88492            0         5176
free:  Swap:      2650684            0      2650684
free: Total:      3556976       817800      2739176
/proc/cmdline: vga=normal initrd=initrd.gz -- quiet  BOOT_IMAGE=linux 
/proc/cpuinfo: processor	: 0
/proc/cpuinfo: vendor_id	: GenuineIntel
/proc/cpuinfo: cpu family	: 6
/proc/cpuinfo: model		: 13
/proc/cpuinfo: model name	: Intel(R) Celeron(R) M processor          900MHz
/proc/cpuinfo: stepping	: 8
/proc/cpuinfo: cpu MHz		: 897.804
/proc/cpuinfo: cache size	: 512 KB
/proc/cpuinfo: fdiv_bug	: no
/proc/cpuinfo: hlt_bug		: no
/proc/cpuinfo: f00f_bug	: no
/proc/cpuinfo: coma_bug	: no
/proc/cpuinfo: fpu		: yes
/proc/cpuinfo: fpu_exception	: yes
/proc/cpuinfo: cpuid level	: 2
/proc/cpuinfo: wp		: yes
/proc/cpuinfo: flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat clflush dts acpi mmx fxsr sse sse2 ss tm pbe nx bts
/proc/cpuinfo: bogomips	: 1797.39
/proc/cpuinfo: clflush size	: 64
/proc/cpuinfo: power management:
/proc/cpuinfo: 
/proc/ioports: 0000-001f : dma1
/proc/ioports: 0020-0021 : pic1
/proc/ioports: 0040-0043 : timer0
/proc/ioports: 0050-0053 : timer1
/proc/ioports: 0060-0060 : keyboard
/proc/ioports: 0064-0064 : keyboard
/proc/ioports: 0070-0071 : rtc0
/proc/ioports: 0080-008f : dma page reg
/proc/ioports: 00a0-00a1 : pic2
/proc/ioports: 00c0-00df : dma2
/proc/ioports: 00f0-00ff : fpu
/proc/ioports: 0170-0177 : 0000:00:1f.2
/proc/ioports:   0170-0177 : ata_piix
/proc/ioports: 01f0-01f7 : 0000:00:1f.2
/proc/ioports:   01f0-01f7 : ata_piix
/proc/ioports: 0376-0376 : 0000:00:1f.2
/proc/ioports:   0376-0376 : ata_piix
/proc/ioports: 0380-0395 : pnp 00:08
/proc/ioports: 03c0-03df : vga+
/proc/ioports: 03f6-03f6 : 0000:00:1f.2
/proc/ioports:   03f6-03f6 : ata_piix
/proc/ioports: 0400-041f : 0000:00:1f.3
/proc/ioports: 0480-04bf : 0000:00:1f.0
/proc/ioports:   0480-04bf : pnp 00:08
/proc/ioports: 04d0-04d1 : pnp 00:08
/proc/ioports: 0800-087f : 0000:00:1f.0
/proc/ioports:   0800-087f : pnp 00:08
/proc/ioports:     0800-0803 : ACPI PM1a_EVT_BLK
/proc/ioports:     0804-0805 : ACPI PM1a_CNT_BLK
/proc/ioports:     0808-080b : ACPI PM_TMR
/proc/ioports:     0810-0815 : ACPI CPU throttle
/proc/ioports:     0820-0820 : ACPI PM2_CNT_BLK
/proc/ioports:     0828-082f : ACPI GPE0_BLK
/proc/ioports: 0cf8-0cff : PCI conf1
/proc/ioports: d400-d41f : 0000:00:1d.0
/proc/ioports:   d400-d41f : uhci_hcd
/proc/ioports: d480-d49f : 0000:00:1d.1
/proc/ioports:   d480-d49f : uhci_hcd
/proc/ioports: d800-d81f : 0000:00:1d.2
/proc/ioports:   d800-d81f : uhci_hcd
/proc/ioports: d880-d89f : 0000:00:1d.3
/proc/ioports:   d880-d89f : uhci_hcd
/proc/ioports: dc00-dc07 : 0000:00:02.0
/proc/ioports: e000-efff : PCI Bus 0000:03
/proc/ioports:   ec00-ec7f : 0000:03:00.0
/proc/ioports:     ec00-ec7f : ATL1E
/proc/ioports: ffa0-ffaf : 0000:00:1f.2
/proc/ioports:   ffa0-ffaf : ata_piix
/proc/iomem: 00000000-0009fbff : System RAM
/proc/iomem: 0009fc00-0009ffff : reserved
/proc/iomem: 000a0000-000bffff : Video RAM area
/proc/iomem: 000c0000-000c7fff : Video ROM
/proc/iomem: 000f0000-000fffff : System ROM
/proc/iomem: 00100000-3f77ffff : System RAM
/proc/iomem:   00100000-002a7952 : Kernel code
/proc/iomem:   002a7953-00361fff : Kernel data
/proc/iomem:   003b4000-0040dbd7 : Kernel bss
/proc/iomem: 3f780000-3f78ffff : ACPI Tables
/proc/iomem: 3f790000-3f7cffff : ACPI Non-volatile Storage
/proc/iomem: 3f7d0000-3f7ddfff : reserved
/proc/iomem: 3f7e0000-3f7fffff : reserved
/proc/iomem: d0000000-dfffffff : 0000:00:02.0
/proc/iomem: e0000000-efffffff : PCI MMCONFIG 0
/proc/iomem:   e0000000-efffffff : pnp 00:0a
/proc/iomem:     e0000000-efffffff : pnp 00:0b
/proc/iomem: f0000000-f6ffffff : PCI Bus 0000:01
/proc/iomem: f7eb7c00-f7eb7fff : 0000:00:1d.7
/proc/iomem:   f7eb7c00-f7eb7fff : ehci_hcd
/proc/iomem: f7eb8000-f7ebbfff : 0000:00:1b.0
/proc/iomem: f7ec0000-f7efffff : 0000:00:02.0
/proc/iomem: f7f00000-f7f7ffff : 0000:00:02.0
/proc/iomem: f7f80000-f7ffffff : 0000:00:02.1
/proc/iomem: f8000000-fbefffff : PCI Bus 0000:01
/proc/iomem:   fbef0000-fbefffff : 0000:01:00.0
/proc/iomem:     fbef0000-fbefffff : ath
/proc/iomem: fbf00000-fbffffff : PCI Bus 0000:03
/proc/iomem:   fbfc0000-fbffffff : 0000:03:00.0
/proc/iomem:     fbfc0000-fbffffff : ATL1E
/proc/iomem: fec00000-fec00fff : pnp 00:09
/proc/iomem: fed13000-fed19fff : pnp 00:01
/proc/iomem: fed1c000-fed1ffff : pnp 00:08
/proc/iomem: fed20000-fed8ffff : pnp 00:08
/proc/iomem: fee00000-fee00fff : reserved
/proc/iomem: fff80000-ffffffff : reserved
/proc/interrupts:            CPU0       
/proc/interrupts:   0:     253794   IO-APIC-edge      timer
/proc/interrupts:   1:        327   IO-APIC-edge      i8042
/proc/interrupts:   8:          3   IO-APIC-edge      rtc0
/proc/interrupts:   9:         31   IO-APIC-fasteoi   acpi
/proc/interrupts:  12:        125   IO-APIC-edge      i8042
/proc/interrupts:  14:     150808   IO-APIC-edge      ata_piix
/proc/interrupts:  15:          0   IO-APIC-edge      ata_piix
/proc/interrupts:  16:          0   IO-APIC-fasteoi   uhci_hcd:usb4
/proc/interrupts:  18:          0   IO-APIC-fasteoi   uhci_hcd:usb3
/proc/interrupts:  19:    1095035   IO-APIC-fasteoi   wifi0, uhci_hcd:usb2
/proc/interrupts:  23:       7115   IO-APIC-fasteoi   uhci_hcd:usb1, ehci_hcd:usb5
/proc/interrupts: 220:          3      none-edge    
/proc/interrupts: NMI:          0   Non-maskable interrupts
/proc/interrupts: LOC:     301281   Local timer interrupts
/proc/interrupts: TRM:          0   Thermal event interrupts
/proc/interrupts: SPU:          0   Spurious interrupts
/proc/interrupts: ERR:          0
/proc/interrupts: MIS:          0
/proc/meminfo: MemTotal:       906292 kB
/proc/meminfo: MemFree:         88444 kB
/proc/meminfo: Buffers:          5176 kB
/proc/meminfo: Cached:         745848 kB
/proc/meminfo: SwapCached:          0 kB
/proc/meminfo: Active:         226672 kB
/proc/meminfo: Inactive:       535848 kB
/proc/meminfo: SwapTotal:     2650684 kB
/proc/meminfo: SwapFree:      2650684 kB
/proc/meminfo: Dirty:            5456 kB
/proc/meminfo: Writeback:           0 kB
/proc/meminfo: AnonPages:       11512 kB
/proc/meminfo: Mapped:           1704 kB
/proc/meminfo: Slab:            43244 kB
/proc/meminfo: SReclaimable:    37792 kB
/proc/meminfo: SUnreclaim:       5452 kB
/proc/meminfo: PageTables:        308 kB
/proc/meminfo: NFS_Unstable:        0 kB
/proc/meminfo: Bounce:              0 kB
/proc/meminfo: WritebackTmp:        0 kB
/proc/meminfo: CommitLimit:   3103828 kB
/proc/meminfo: Committed_AS:    14920 kB
/proc/meminfo: VmallocTotal:   122564 kB
/proc/meminfo: VmallocUsed:      9640 kB
/proc/meminfo: VmallocChunk:   112472 kB
/proc/meminfo: HugePages_Total:     0
/proc/meminfo: HugePages_Free:      0
/proc/meminfo: HugePages_Rsvd:      0
/proc/meminfo: HugePages_Surp:      0
/proc/meminfo: Hugepagesize:     4096 kB
/proc/bus/input/devices: I: Bus=0011 Vendor=0001 Product=0001 Version=ab41
/proc/bus/input/devices: N: Name="AT Translated Set 2 keyboard"
/proc/bus/input/devices: P: Phys=isa0060/serio0/input0
/proc/bus/input/devices: S: Sysfs=/class/input/input0
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=kbd event0 
/proc/bus/input/devices: B: EV=120013
/proc/bus/input/devices: B: KEY=4 2000000 3803078 f800d001 feffffdf ffefffff ffffffff fffffffe
/proc/bus/input/devices: B: MSC=10
/proc/bus/input/devices: B: LED=7
/proc/bus/input/devices: 
/proc/bus/input/devices: I: Bus=0011 Vendor=0002 Product=0005 Version=0063
/proc/bus/input/devices: N: Name="ImPS/2 Logitech Wheel Mouse"
/proc/bus/input/devices: P: Phys=isa0060/serio1/input0
/proc/bus/input/devices: S: Sysfs=/class/input/input1
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=mouse0 event1 
/proc/bus/input/devices: B: EV=7
/proc/bus/input/devices: B: KEY=70000 0 0 0 0 0 0 0 0
/proc/bus/input/devices: B: REL=103
/proc/bus/input/devices: 

-- System Information:
Debian Release: 5.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title to `installation-reports: default font size is too big on ASUS Eee PC 904HD' from `installation-reports: dsafds'. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Mon, 29 Dec 2008 15:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#510123; Package installation-reports. (Mon, 29 Dec 2008 15:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to 510123@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 29 Dec 2008 15:39:05 GMT) Full text and rfc822 format available.

Message #12 received at 510123@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 510123@bugs.debian.org
Cc: Luca Capello <luca@pca.it>, xserver-xorg-core@packages.debian.org
Subject: Re: Bug#510123: installation-reports: default font size is too big on ASUS Eee PC 904HD
Date: Mon, 29 Dec 2008 16:37:28 +0100
reassign 510123 xserver-xorg-core
thanks

On Monday 29 December 2008, Luca Capello wrote:
> Comments/Problems:
> 1) default font size problem
>    The font size is too big: I wanted to include a screenshot (44kb) ,
>    but it seems the first report I sent two days ago was not accepted
>    by the BTS, thus I am trying without screenshot ;-)
>
>    Since we (the Debian FreeSmartphone.Org Team) experienced a similar
>    problem on the Openmoko Neo FreeRunner (bug #500626 [2]), I firstly
>    thought about a DPI problem: indeed, on the 904HD xdpyinfo shows
>    that we have 133x135 DPI, while on the 1000H [3] we have 96x96.
>
>    There are two quick workarounds (both successfully tested):
>    a. startx/xinit users should append "-dpi 96" to the X call in
>       /etc/X11/xinit/xserverrc
>    b. GDM users, instead, should redefine in /etc/gdm/gdm.conf the
>       standard server GDM launches, adding something like
>
>         [server-Standard]
>         name=Standard server
>         command=/usr/X11R6/bin/X -audit 0 -dpi 96
>         flexible=true
>         #priority=0

I have set something similar for my laptops in KDE:
$ grep 96 /etc/kde3/kdm/*
/etc/kde3/kdm/kdmrc:ServerArgsLocal=-nolisten tcp -dpi 96

As this is really as X.Org problem I'm reassigning it to that team.

Cheers,
FJP




Bug reassigned from package `installation-reports' to `xserver-xorg-core'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Mon, 29 Dec 2008 15:39:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#510123; Package xserver-xorg-core. (Mon, 29 Dec 2008 17:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Luca Niccoli" <lultimouomo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 29 Dec 2008 17:03:06 GMT) Full text and rfc822 format available.

Message #19 received at 510123@bugs.debian.org (full text, mbox):

From: "Luca Niccoli" <lultimouomo@gmail.com>
To: "Luca Capello" <luca@pca.it>, 510123@bugs.debian.org
Subject: Re: [Debian-eeepc-devel] Bug#510123: installation-reports: dsafds
Date: Mon, 29 Dec 2008 18:00:10 +0100
2008/12/29 Luca Capello <luca@pca.it>:

> The installation went really smooth (kudos to the Debian Eee PC Team),
> the major problem being that the default font size is too big.  I am not
> an X11 expert, but this seems a DPI problem.

I think the problem is just that the resolution of the screen is very
high (and the screen very small), which makes the fonts use a lot of
pixels and appear too large on the Eee.
IIUC the X server tries to make fonts with the same point size appear
with the same fisical size on the screen; this can be not the best
behaviuor on small screens (used from a small distance) or very big
screens (used from far away), but I can't find another consistent
model that would fit every use scenario...
My 2 eurocents
luca




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#510123; Package xserver-xorg-core. (Sun, 23 Aug 2009 20:57:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Figueiredo <elmig@debianpt.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 23 Aug 2009 20:57:15 GMT) Full text and rfc822 format available.

Message #24 received at 510123@bugs.debian.org (full text, mbox):

From: Miguel Figueiredo <elmig@debianpt.org>
To: 510123@bugs.debian.org
Subject: 118x118 dpi on eee 1002HA (~10" display )
Date: Sun, 23 Aug 2009 21:55:25 +0100
The same behavior on a Asus EEE 1002HA (~10" display).

screen #0:
  dimensions:    1024x600 pixels (220x129 millimeters)
  resolution:    118x118 dots per inch

-- 

Melhores Cumprimentos/Best Regards,

Miguel Figueiredo





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#510123; Package xserver-xorg-core. (Sun, 23 Aug 2009 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 23 Aug 2009 21:45:03 GMT) Full text and rfc822 format available.

Message #29 received at 510123@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Miguel Figueiredo <elmig@debianpt.org>, 510123@bugs.debian.org
Subject: Re: Bug#510123: 118x118 dpi on eee 1002HA (~10" display )
Date: Sun, 23 Aug 2009 23:31:58 +0200
On Sun, Aug 23, 2009 at 21:55:25 +0100, Miguel Figueiredo wrote:

> The same behavior on a Asus EEE 1002HA (~10" display).
> 
> screen #0:
>   dimensions:    1024x600 pixels (220x129 millimeters)
>   resolution:    118x118 dots per inch
> 
I don't see anything wrong with that.  Your screen dimensions are
220x129 millimeters (which is almost exactly 10"), there's 1024x600
pixels, this means there's 118 dots per inch in each direction.  No X
bug there.

Cheers,
Julien




Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sun, 23 Aug 2009 21:48:15 GMT) Full text and rfc822 format available.

Notification sent to Luca Capello <luca@pca.it>:
Bug acknowledged by developer. (Sun, 23 Aug 2009 21:48:15 GMT) Full text and rfc822 format available.

Message #34 received at 510123-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 510123-done@bugs.debian.org
Cc: Frans Pop <elendil@planet.nl>, Luca Capello <luca@pca.it>
Subject: Re: Bug#510123: installation-reports: default font size is too big on ASUS Eee PC 904HD
Date: Sun, 23 Aug 2009 23:36:23 +0200
On Mon, Dec 29, 2008 at 16:37:28 +0100, Frans Pop wrote:

> reassign 510123 xserver-xorg-core
> thanks
> 
> On Monday 29 December 2008, Luca Capello wrote:
> > Comments/Problems:
> > 1) default font size problem
> >    The font size is too big: I wanted to include a screenshot (44kb) ,
> >    but it seems the first report I sent two days ago was not accepted
> >    by the BTS, thus I am trying without screenshot ;-)
> >
> >    Since we (the Debian FreeSmartphone.Org Team) experienced a similar
> >    problem on the Openmoko Neo FreeRunner (bug #500626 [2]), I firstly
> >    thought about a DPI problem: indeed, on the 904HD xdpyinfo shows
> >    that we have 133x135 DPI, while on the 1000H [3] we have 96x96.
> >
> >    There are two quick workarounds (both successfully tested):
> >    a. startx/xinit users should append "-dpi 96" to the X call in
> >       /etc/X11/xinit/xserverrc
> >    b. GDM users, instead, should redefine in /etc/gdm/gdm.conf the
> >       standard server GDM launches, adding something like
> >
> >         [server-Standard]
> >         name=Standard server
> >         command=/usr/X11R6/bin/X -audit 0 -dpi 96
> >         flexible=true
> >         #priority=0
> 
> I have set something similar for my laptops in KDE:
> $ grep 96 /etc/kde3/kdm/*
> /etc/kde3/kdm/kdmrc:ServerArgsLocal=-nolisten tcp -dpi 96
> 
> As this is really as X.Org problem I'm reassigning it to that team.
> 
Doesn't look like an X bug to me.  X reports the correct physical
dimensions for the screen.  What happens after that is up to clients.
Closing.

Cheers,
Julien




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 21 Sep 2009 07:38:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:32:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.